# Class GuardingDynamicLinkerExporter

java.lang.Object
jdk.dynalink.linker.GuardingDynamicLinkerExporter

All Implemented Interfaces:
  `Supplier<List<GuardingDynamicLinker>>`

public abstract class GuardingDynamicLinkerExporter extends Object implements Supplier<List<GuardingDynamicLinker>>
A class acting as a supplier of guarding dynamic linkers that can be automatically loaded by other language runtimes. Language runtimes wishing to export their own linkers should subclass this class and implement the `Supplier.get()` method to return a list of exported linkers and declare the subclass in `/META-INF/services/jdk.dynalink.linker.GuardingDynamicLinkerExporter` resource of their distribution (typically, JAR file) so that dynamic linker factories can discover them using the `ServiceLoader` mechanism.

Since:
  9
See Also:
  - `DynamicLinkerFactory.setClassLoader(ClassLoader)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTOLOAD_PERMISSION_NAME`
The name of the runtime permission for creating instances of this class.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`GuardingDynamicLinkerExporter()`
Creates a new linker exporter.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

### Methods declared in interface Supplier

`get`
Modifier and Type
Method
Description
`List<GuardingDynamicLinker>`
`get()`
Gets a result.

## Field Details

### AUTOLOAD_PERMISSION_NAME

public static final String AUTOLOAD_PERMISSION_NAME
The name of the runtime permission for creating instances of this class.

API Note:
  This permission cannot be used for controlling access to resources anymore as the Security Manager is no longer supported.
See Also:
  - Constant Field Values

## Constructor Details

### GuardingDynamicLinkerExporter

protected GuardingDynamicLinkerExporter()
Creates a new linker exporter.